Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Messaging

Azure service bus is used to implement a queue of system events that can be subscribed to by external systems.

Get an Azure Service Bus connections

get

#Available from v.3.15.0

Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of Azure Service Bus connection

Responses
200

OK

application/json

Model representing a message queue connection

Uidstring · uuidOptional

Unique id of the message queue connection

Titlestring · nullableOptional

Title of message queue connection

ServiceBusConnectionStringstring · nullableOptional

Url for the message queue to request when triggered

QueueNamestring · nullableOptional

Queue name for the message queue

BlobContainerConnectionStringstring · nullableOptional

Url for the blob storage to request when triggered

BlobContainerNamestring · nullableOptional
ActivebooleanOptional

Activate / deactivate message queue connection

EnabledEventsstring[] · nullableOptional

Events this message queue shall act on

get/v1/azureservicebusconnections/{uid}
GET /v1/azureservicebusconnections/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "Uid": "6a76b3e3-8452-47b4-93cc-b678ab63b9d1",
  "Title": "Message queue integration",
  "ServiceBusConnectionString": "https://someeventhub.com/triggerme",
  "QueueName": "",
  "BlobContainerConnectionString": "",
  "BlobContainerName": "",
  "Active": true,
  "EnabledEvents": [
    "variants:created",
    "variants:updated",
    "variants:deleted"
  ],
  "AdvancedSettings": {
    "variants:updated": {
      "ConditionalTriggering": true,
      "TriggerOnProductIdUpdates": false,
      "TriggerOnVariantGroupIdUpdates": false,
      "TriggerOnSortOrderUpdates": false,
      "TriggerOnVariantGroupSortOrderUpdates": false,
      "TriggerOnArchivingUpdates": false,
      "TriggerOnAttributeUpdates": {},
      "AttributesToTriggerOn": [],
      "DataModelType": {},
      "EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
    }
  }
}

Delete an Azure Service Bus connection

delete
Authorizations
AuthorizationstringRequired
Path parameters
uidstring · uuidRequired

Uid of Azure Service Bus connection to delete

Responses
200

OK

No content

delete/v1/azureservicebusconnections/{uid}
DELETE /v1/azureservicebusconnections/{uid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

No content

Get all Azure Service Bus connections

get
Authorizations
AuthorizationstringRequired
Responses
200

OK

application/json

Model representing a message queue connection

Uidstring · uuidOptional

Unique id of the message queue connection

Titlestring · nullableOptional

Title of message queue connection

ServiceBusConnectionStringstring · nullableOptional

Url for the message queue to request when triggered

QueueNamestring · nullableOptional

Queue name for the message queue

BlobContainerConnectionStringstring · nullableOptional

Url for the blob storage to request when triggered

BlobContainerNamestring · nullableOptional
ActivebooleanOptional

Activate / deactivate message queue connection

EnabledEventsstring[] · nullableOptional

Events this message queue shall act on

get/v1/azureservicebusconnections
GET /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "Uid": "1ba54855-c37b-402a-b799-081e205bb19d",
    "Title": "Message queue integration",
    "ServiceBusConnectionString": "https://someeventhub.com/triggerme",
    "QueueName": "",
    "BlobContainerConnectionString": "",
    "BlobContainerName": "",
    "Active": true,
    "EnabledEvents": [
      "variants:created",
      "variants:updated",
      "variants:deleted"
    ],
    "AdvancedSettings": {
      "variants:updated": {
        "ConditionalTriggering": true,
        "TriggerOnProductIdUpdates": false,
        "TriggerOnVariantGroupIdUpdates": false,
        "TriggerOnSortOrderUpdates": false,
        "TriggerOnVariantGroupSortOrderUpdates": false,
        "TriggerOnArchivingUpdates": false,
        "TriggerOnAttributeUpdates": {},
        "AttributesToTriggerOn": [],
        "DataModelType": {},
        "EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
      }
    }
  },
  {
    "Uid": "95d4627a-82d3-4c3e-b9fc-e1f6f21938fc",
    "Title": "Message queue integration",
    "ServiceBusConnectionString": "https://someeventhub.com/triggerme",
    "QueueName": "",
    "BlobContainerConnectionString": "",
    "BlobContainerName": "",
    "Active": true,
    "EnabledEvents": [
      "variants:created",
      "variants:updated",
      "variants:deleted"
    ],
    "AdvancedSettings": {
      "variants:updated": {
        "ConditionalTriggering": true,
        "TriggerOnProductIdUpdates": false,
        "TriggerOnVariantGroupIdUpdates": false,
        "TriggerOnSortOrderUpdates": false,
        "TriggerOnVariantGroupSortOrderUpdates": false,
        "TriggerOnArchivingUpdates": false,
        "TriggerOnAttributeUpdates": {},
        "AttributesToTriggerOn": [],
        "DataModelType": {},
        "EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
      }
    }
  }
]

Create a new Azure Service Bus connection

post
Authorizations
AuthorizationstringRequired
Body

Model representing a message queue connection

Uidstring · uuidOptional

Unique id of the message queue connection

Titlestring · nullableOptional

Title of message queue connection

ServiceBusConnectionStringstring · nullableOptional

Url for the message queue to request when triggered

QueueNamestring · nullableOptional

Queue name for the message queue

BlobContainerConnectionStringstring · nullableOptional

Url for the blob storage to request when triggered

BlobContainerNamestring · nullableOptional
ActivebooleanOptional

Activate / deactivate message queue connection

EnabledEventsstring[] · nullableOptional

Events this message queue shall act on

Responses
200

OK

No content

post/v1/azureservicebusconnections
POST /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 708

{
  "Uid": "965e382f-6454-452e-b9d3-f6b5174a8095",
  "Title": "Message queue integration",
  "ServiceBusConnectionString": "https://someeventhub.com/triggerme",
  "QueueName": "",
  "BlobContainerConnectionString": "",
  "BlobContainerName": "",
  "Active": true,
  "EnabledEvents": [
    "variants:created",
    "variants:updated",
    "variants:deleted"
  ],
  "AdvancedSettings": {
    "variants:updated": {
      "ConditionalTriggering": true,
      "TriggerOnProductIdUpdates": false,
      "TriggerOnVariantGroupIdUpdates": false,
      "TriggerOnSortOrderUpdates": false,
      "TriggerOnVariantGroupSortOrderUpdates": false,
      "TriggerOnArchivingUpdates": false,
      "TriggerOnAttributeUpdates": {},
      "AttributesToTriggerOn": [],
      "DataModelType": {},
      "EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
    }
  }
}
200

OK

No content

Update an Azure Service Bus connection

put
Authorizations
AuthorizationstringRequired
Body

Model representing a message queue connection

Uidstring · uuidOptional

Unique id of the message queue connection

Titlestring · nullableOptional

Title of message queue connection

ServiceBusConnectionStringstring · nullableOptional

Url for the message queue to request when triggered

QueueNamestring · nullableOptional

Queue name for the message queue

BlobContainerConnectionStringstring · nullableOptional

Url for the blob storage to request when triggered

BlobContainerNamestring · nullableOptional
ActivebooleanOptional

Activate / deactivate message queue connection

EnabledEventsstring[] · nullableOptional

Events this message queue shall act on

Responses
200

OK

No content

put/v1/azureservicebusconnections
PUT /v1/azureservicebusconnections HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 708

{
  "Uid": "2cd90810-efe0-4725-84ce-614ceaeeb357",
  "Title": "Message queue integration",
  "ServiceBusConnectionString": "https://someeventhub.com/triggerme",
  "QueueName": "",
  "BlobContainerConnectionString": "",
  "BlobContainerName": "",
  "Active": true,
  "EnabledEvents": [
    "variants:created",
    "variants:updated",
    "variants:deleted"
  ],
  "AdvancedSettings": {
    "variants:updated": {
      "ConditionalTriggering": true,
      "TriggerOnProductIdUpdates": false,
      "TriggerOnVariantGroupIdUpdates": false,
      "TriggerOnSortOrderUpdates": false,
      "TriggerOnVariantGroupSortOrderUpdates": false,
      "TriggerOnArchivingUpdates": false,
      "TriggerOnAttributeUpdates": {},
      "AttributesToTriggerOn": [],
      "DataModelType": {},
      "EventSettingsType": "VariantsUpdatedEventArgsAdvancedSettings"
    }
  }
}
200

OK

No content

Get messages sent to the service bus. Note that messages is only stored for 14 days

get
Authorizations
AuthorizationstringRequired
Path parameters
connectionUidstring · uuidRequired

Uid of azure service bus connection

Query parameters
sincestring · date-timeOptional

return messages newer than this timestamp

onlyFailedbooleanOptional

Only return failed messages

pageinteger · int32Optional

Page to get (1 is first page)

Responses
200

OK

application/json

Model containing response from a message search

Pageinteger · int32Optional

Page of the search request

TotalHitsinteger · int32Optional

Total number of hits in the search

get/v1/azureservicebusconnections/{connectionUid}/messages
GET /v1/azureservicebusconnections/{connectionUid}/messages HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

{
  "Messages": [
    {
      "Uid": "715782e7-e7a6-4b81-859b-ba796959e702",
      "ConnectionUid": "5a5c53eb-08a7-45cc-819d-0bdc9d12a976",
      "EventKey": "products:updated",
      "EventTimestamp": "2026-05-19T18:51:56.2046521+00:00",
      "RequestTimestamp": "2026-05-19T18:51:56.2146533+00:00",
      "MessageBody": "{\"ProductChanges\":[{\"Id\":438,\"UpdatedAttributes\":[\"DisplayOnWebshop\"]}],\"TransactionUid\":\"24c7b1da-4607-4189-9a4b-29556b4eeda3\"}",
      "ElapsedMilliseconds": 57,
      "RequestMetadata": "",
      "Status": {},
      "ParentServiceBusMessageUid": "2b729e7f-b21e-40b5-8731-08f95b70155a",
      "IsRetry": false
    }
  ],
  "Page": 1,
  "TotalHits": 1
}

Get a specific message sent to the service bus. Note that messages are only stored for 14 days

get
Authorizations
AuthorizationstringRequired
Path parameters
connectionUidstring · uuidRequired

Uid of azure service bus connection

messageUidstring · uuidRequired

Uid of the message

Responses
200

OK

application/json

Model representing a message

Uidstring · uuidOptional

Unique id of this message

ConnectionUidstring · uuidOptional

Unique id of the connection that triggered the message

EventKeystring · nullableOptional

The key of the event that triggered the event

EventTimestampstring · date-timeOptional

Timestamp of the event that triggered the message

RequestTimestampstring · date-timeOptional

Timestamp of when the message was made

MessageBodystring · nullableOptional

The message body sent in the message

ElapsedMillisecondsinteger · int64Optional

The time in ms it took to get a response from the recipient of the request

RequestMetadatastring · nullableOptional

Metadata about sending the message

Statusinteger · enumOptional

Status of sending the message

  • 1 = Success: Success
  • 2 = Failed: Failed
Possible values:
ParentServiceBusMessageUidstring · uuid · nullableOptional

Uid of parent message (only has value, if this is a retry of a failed message)

IsRetrybooleanRead-onlyOptional

Indicates whether this request is a retry of a previously failed request

get/v1/azureservicebusconnections/{connectionUid}/messages/{messageUid}
GET /v1/azureservicebusconnections/{connectionUid}/messages/{messageUid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

OK

[
  {
    "Uid": "715782e7-e7a6-4b81-859b-ba796959e702",
    "ConnectionUid": "5a5c53eb-08a7-45cc-819d-0bdc9d12a976",
    "EventKey": "products:updated",
    "EventTimestamp": "2026-05-19T18:51:56.2049633+00:00",
    "RequestTimestamp": "2026-05-19T18:51:56.2149640+00:00",
    "MessageBody": "{\"ProductChanges\":[{\"Id\":438,\"UpdatedAttributes\":[\"DisplayOnWebshop\"]}],\"TransactionUid\":\"24c7b1da-4607-4189-9a4b-29556b4eeda3\"}",
    "ElapsedMilliseconds": 57,
    "RequestMetadata": "",
    "Status": {},
    "ParentServiceBusMessageUid": "92e0f840-8c0b-4be5-ab5d-23ef634d68bc",
    "IsRetry": false
  }
]

Last updated